Whatsapp reply
curl --request POST \
--url https://api.sortx.co.uk/front-desk/enquiries/{id}/whatsapp-reply \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"clientId": "<string>",
"text": "<string>",
"templateId": "<string>",
"parameters": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
text: '<string>',
templateId: '<string>',
parameters: ['<string>']
})
};
fetch('https://api.sortx.co.uk/front-desk/enquiries/{id}/whatsapp-reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/enquiries/{id}/whatsapp-reply"
payload = {
"clientId": "<string>",
"text": "<string>",
"templateId": "<string>",
"parameters": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"clientId": "<string>",
"direction": "<string>",
"type": "<string>",
"text": "<string>",
"status": "<string>",
"error": "<string>",
"at": "<string>",
"mediaId": "<string>",
"filename": "<string>",
"mediaStored": true,
"mediaError": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}front-desk
Whatsapp reply
POST
/
front-desk
/
enquiries
/
{id}
/
whatsapp-reply
Whatsapp reply
curl --request POST \
--url https://api.sortx.co.uk/front-desk/enquiries/{id}/whatsapp-reply \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"clientId": "<string>",
"text": "<string>",
"templateId": "<string>",
"parameters": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
text: '<string>',
templateId: '<string>',
parameters: ['<string>']
})
};
fetch('https://api.sortx.co.uk/front-desk/enquiries/{id}/whatsapp-reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/enquiries/{id}/whatsapp-reply"
payload = {
"clientId": "<string>",
"text": "<string>",
"templateId": "<string>",
"parameters": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"clientId": "<string>",
"direction": "<string>",
"type": "<string>",
"text": "<string>",
"status": "<string>",
"error": "<string>",
"at": "<string>",
"mediaId": "<string>",
"filename": "<string>",
"mediaStored": true,
"mediaError": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success